add scripts for dibs to build qemu in SDK
authorKitae Kim <kt920.kim@samsung.com>
Thu, 13 Mar 2014 04:31:12 +0000 (13:31 +0900)
committerPhilippe Coval <philippe.coval@open.eurogiciel.org>
Tue, 18 Nov 2014 11:06:38 +0000 (12:06 +0100)
Change-Id: Id97d6b2368ddd9b0e33ecb6c4b044763a6e73abb
Signed-off-by: Kitae Kim <kt920.kim@samsung.com>
package/build.macos-64 [new file with mode: 0644]
package/build.ubuntu-32 [new file with mode: 0755]
package/build.ubuntu-64 [new file with mode: 0755]
package/build.windows-32 [new file with mode: 0644]
package/changelog [new file with mode: 0644]
package/emulator_configure.sh [new file with mode: 0755]
package/pkginfo.manifest [new file with mode: 0644]

diff --git a/package/build.macos-64 b/package/build.macos-64
new file mode 100644 (file)
index 0000000..27157ea
--- /dev/null
@@ -0,0 +1,60 @@
+#!/bin/sh -xe
+# clean
+clean()
+{
+       cd ${SRCDIR}/package
+       ./emulator_configure.sh
+
+       cd ${SRCDIR}/
+       if test -e "Makefile"
+       then
+               make distclean
+       fi
+
+       rm -rf ${SRCDIR}/binary
+       rm -rf ${SRCDIR}/*.zip
+       rm -rf ${SRCDIR}/*.tar.gz
+}
+
+# build
+build()
+{
+       cd ${SRCDIR}/package
+       ./emulator_configure.sh
+
+       cd ${SRCDIR}
+       make install
+
+       if [ $? -eq 0 ]
+       then
+               echo "libav build success"
+       else
+               echo "libav build failure"
+               exit 1
+       fi
+}
+
+# install
+install()
+{
+       DEV_DIR=${SRCDIR}/package/libav-dev.package.${TARGET_OS}/data/
+       LIB_DIR=${SRCDIR}/package/libav.package.${TARGET_OS}/data/tools/emulator/bin/
+
+       mkdir -p ${DEV_DIR}
+       mkdir -p ${LIB_DIR}
+
+       cd ${SRCDIR}/binary
+
+       cp -pPR include ${DEV_DIR}/
+       cp -pPR lib ${DEV_DIR}/
+       cp -pPR lib/libavcodec-emul.*.*.*.dylib ${LIB_DIR}/
+       cp -pPR lib/libavformat-emul.*.*.*.dylib ${LIB_DIR}/
+       cp -pPR lib/libavutil-emul.*.*.*.dylib ${LIB_DIR}/
+       cp -pPR lib/libavresample-emul.*.*.*.dylib ${LIB_DIR}/
+}
+
+[ "$1" = "clean" ] && clean
+[ "$1" = "build" ] && build
+[ "$1" = "install" ] && install
+
+echo "success"
diff --git a/package/build.ubuntu-32 b/package/build.ubuntu-32
new file mode 100755 (executable)
index 0000000..374c834
--- /dev/null
@@ -0,0 +1,60 @@
+#!/bin/sh -xe
+# clean
+clean()
+{
+       cd ${SRCDIR}/package
+       ./emulator_configure.sh
+
+       cd ${SRCDIR}/
+       if test -e "Makefile"
+       then
+               make distclean
+       fi
+
+       rm -rf ${SRCDIR}/binary
+       rm -rf ${SRCDIR}/*.zip
+       rm -rf ${SRCDIR}/*.tar.gz
+}
+
+# build
+build()
+{
+       cd ${SRCDIR}/package
+       ./emulator_configure.sh
+
+       cd ${SRCDIR}
+       make install
+
+       if [ $? -eq 0 ]
+       then
+               echo "libav build success"
+       else
+               echo "libav build failure"
+               exit 1
+       fi
+}
+
+# install
+install()
+{
+       DEV_DIR=${SRCDIR}/package/libav-dev.package.${TARGET_OS}/data/
+       LIB_DIR=${SRCDIR}/package/libav.package.${TARGET_OS}/data/tools/emulator/bin/
+
+       mkdir -p ${DEV_DIR}
+       mkdir -p ${LIB_DIR}
+
+       cd ${SRCDIR}/binary
+
+       cp -pPR include ${DEV_DIR}/
+       cp -pPR lib ${DEV_DIR}/
+       cp -pPR lib/libavcodec-emul.so.*.* ${LIB_DIR}/
+       cp -pPR lib/libavformat-emul.so.*.* ${LIB_DIR}/
+       cp -pPR lib/libavutil-emul.so.*.* ${LIB_DIR}/
+       cp -pPR lib/libavresample-emul.so.*.* ${LIB_DIR}/
+}
+
+[ "$1" = "clean" ] && clean
+[ "$1" = "build" ] && build
+[ "$1" = "install" ] && install
+
+echo "success"
diff --git a/package/build.ubuntu-64 b/package/build.ubuntu-64
new file mode 100755 (executable)
index 0000000..374c834
--- /dev/null
@@ -0,0 +1,60 @@
+#!/bin/sh -xe
+# clean
+clean()
+{
+       cd ${SRCDIR}/package
+       ./emulator_configure.sh
+
+       cd ${SRCDIR}/
+       if test -e "Makefile"
+       then
+               make distclean
+       fi
+
+       rm -rf ${SRCDIR}/binary
+       rm -rf ${SRCDIR}/*.zip
+       rm -rf ${SRCDIR}/*.tar.gz
+}
+
+# build
+build()
+{
+       cd ${SRCDIR}/package
+       ./emulator_configure.sh
+
+       cd ${SRCDIR}
+       make install
+
+       if [ $? -eq 0 ]
+       then
+               echo "libav build success"
+       else
+               echo "libav build failure"
+               exit 1
+       fi
+}
+
+# install
+install()
+{
+       DEV_DIR=${SRCDIR}/package/libav-dev.package.${TARGET_OS}/data/
+       LIB_DIR=${SRCDIR}/package/libav.package.${TARGET_OS}/data/tools/emulator/bin/
+
+       mkdir -p ${DEV_DIR}
+       mkdir -p ${LIB_DIR}
+
+       cd ${SRCDIR}/binary
+
+       cp -pPR include ${DEV_DIR}/
+       cp -pPR lib ${DEV_DIR}/
+       cp -pPR lib/libavcodec-emul.so.*.* ${LIB_DIR}/
+       cp -pPR lib/libavformat-emul.so.*.* ${LIB_DIR}/
+       cp -pPR lib/libavutil-emul.so.*.* ${LIB_DIR}/
+       cp -pPR lib/libavresample-emul.so.*.* ${LIB_DIR}/
+}
+
+[ "$1" = "clean" ] && clean
+[ "$1" = "build" ] && build
+[ "$1" = "install" ] && install
+
+echo "success"
diff --git a/package/build.windows-32 b/package/build.windows-32
new file mode 100644 (file)
index 0000000..f10ec88
--- /dev/null
@@ -0,0 +1,60 @@
+#!/bin/sh -xe
+# clean
+clean()
+{
+       cd ${SRCDIR}/package
+       ./emulator_configure.sh
+
+       cd ${SRCDIR}/
+       if test -e "Makefile"
+       then
+               make distclean
+       fi
+
+       rm -rf ${SRCDIR}/binary
+       rm -rf ${SRCDIR}/*.zip
+       rm -rf ${SRCDIR}/*.tar.gz
+}
+
+# build
+build()
+{
+       cd ${SRCDIR}/package
+       ./emulator_configure.sh
+
+       cd ${SRCDIR}
+       make install
+
+       if [ $? -eq 0 ]
+       then
+               echo "libav build success"
+       else
+               echo "libav build failure"
+               exit 1
+       fi
+}
+
+# install
+install()
+{
+       DEV_DIR=${SRCDIR}/package/libav-dev.package.${TARGET_OS}/data/
+       LIB_DIR=${SRCDIR}/package/libav.package.${TARGET_OS}/data/tools/emulator/bin/
+
+       mkdir -p ${DEV_DIR}
+       mkdir -p ${LIB_DIR}
+
+       cd ${SRCDIR}/binary
+
+       cp -pPR include ${DEV_DIR}/
+       cp -pPR lib ${DEV_DIR}/
+       cp -pPR bin/avcodec-emul*.dll ${LIB_DIR}/
+       cp -pPR bin/avformat-emul*.dll ${LIB_DIR}/
+       cp -pPR bin/avutil-emul*.dll ${LIB_DIR}/
+       cp -pPR bin/avresample-emul*.dll ${LIB_DIR}/
+}
+
+[ "$1" = "clean" ] && clean
+[ "$1" = "build" ] && build
+[ "$1" = "install" ] && install
+
+echo "success"
diff --git a/package/changelog b/package/changelog
new file mode 100644 (file)
index 0000000..cb8a32b
--- /dev/null
@@ -0,0 +1,3 @@
+* 1.0.0
+- set up build scripts for SDK. 
+== Kitae Kim <kt920.kim@samsung.com> 2014-03-13
diff --git a/package/emulator_configure.sh b/package/emulator_configure.sh
new file mode 100755 (executable)
index 0000000..bcc6a1c
--- /dev/null
@@ -0,0 +1,40 @@
+#!/bin/sh -x
+
+# OS specific
+echo "##### checking for os... targetos $targetos"
+targetos=`uname -s`
+bindir="binary"
+
+cd ../
+echo ""
+echo "##### libav configure for emulator"
+if [ ! -e ${bindir} ];
+then
+       mkdir ${bindir}
+fi
+emul_suffix="-emul"
+append_configure=""
+
+case $targetos in
+Linux*)
+;;
+MINGW*)
+append_configure="--enable-memalign-hack"
+;;
+Darwin*)
+append_configure="--cc=cc --extra-cflags=-mmacosx-version-min=10.4"
+;;
+esac
+
+./configure \
+ --prefix=${bindir} --arch=x86 --build-suffix=${emul_suffix} \
+ --disable-static --enable-shared --enable-pic --enable-optimizations \
+ --disable-gpl --disable-doc --disable-avserver --disable-avplay --disable-avconv --disable-avprobe \
+ --disable-everything --disable-network \
+ --enable-encoder=aac --enable-encoder=h263 --enable-encoder=h263p \
+ --enable-encoder=mpeg4 --enable-encoder=msmpeg4v2 --enable-encoder=msmpeg4v3 \
+ --enable-decoder=aac --enable-decoder=mp3 --enable-decoder=mp3adu \
+ --enable-decoder=wmav1 --enable-decoder=wmav2 \
+ --enable-decoder=h263 --enable-decoder=h264 --enable-decoder=mpeg4 \
+ --enable-decoder=msmpeg4v1 --enable-decoder=msmpeg4v2 --enable-decoder=msmpeg4v3 \
+ --enable-decoder=wmv3 --enable-decoder=vc1 ${append_configure}
diff --git a/package/pkginfo.manifest b/package/pkginfo.manifest
new file mode 100644 (file)
index 0000000..c198de9
--- /dev/null
@@ -0,0 +1,43 @@
+Version: 1.0.0
+Maintainer: YeongKyoon Lee<yeongkyoon.lee@samsung.com>
+Source: libav
+
+Package: libav-dev
+OS: ubuntu-32
+Build-host-os: ubuntu-32
+Description: libav development binaries to build Tizen Emulator
+
+Package: libav-dev
+OS: ubuntu-64
+Build-host-os: ubuntu-64
+Description: libav development binaries to build Tizen Emulator
+
+Package: libav-dev
+OS: windows-32, windows-64
+Build-host-os: windows-32
+Description: libav development binaries to build Tizen Emulator
+
+Package: libav-dev
+OS: macos-64
+Build-host-os: macos-64
+Description: libav development binaries to build Tizen Emulator
+
+Package: libav
+OS: ubuntu-32
+Build-host-os: ubuntu-32
+Description: libav binaries for Tizen Emulator
+
+Package: libav
+OS: ubuntu-64
+Build-host-os: ubuntu-64
+Description: libav binaries for Tizen Emulator
+
+Package: libav
+OS: windows-32, windows-64
+Build-host-os: windows-32
+Description: libav binaries for Tizen Emulator
+
+Package: libav
+OS: macos-64
+Build-host-os: macos-64
+Description: libav binaries for Tizen Emulator